NodeRingsDocs

List Subscriptions

GET
/v1/subscriptions
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

Query Parameters

page?integer
Formatint32
pageSize?integer
Formatint32
onlyActive?boolean

Response Body

application/json

curl -X GET "https://api.noderings.com/v1/subscriptions?page&pageSize&onlyActive" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}"
{
  "subscriptions": [
    {
      "id": "string",
      "startDate": "2019-08-24T14:15:22Z",
      "trialEndDate": "2019-08-24T14:15:22Z",
      "currentPeriodStart": "2019-08-24T14:15:22Z",
      "currentPeriodEnd": "2019-08-24T14:15:22Z",
      "canceledAt": "2019-08-24T14:15:22Z",
      "subscriptionStatus": "SUBSCRIPTION_STATUS_UNSPECIFIED",
      "cancelAtPeriodEnd": true,
      "quantity": 0,
      "organization": "string",
      "organizationName": "string",
      "activatedByUser": "string",
      "plan": "string",
      "planName": "string",
      "planCode": "string",
      "resourceHostname": "string",
      "resourceProviderName": "string",
      "resourceVmId": "string",
      "resourceRegionName": "string",
      "resourceCpu": 0,
      "resourceMemory": 0,
      "resourceStorage": 0,
      "planBillingPeriod": "BILLING_PERIOD_UNSPECIFIED",
      "recurringAmount": "string",
      "currency": "string",
      "billingType": "BILLING_TYPE_UNSPECIFIED",
      "pricingModel": "PRICING_MODEL_UNSPECIFIED",
      "hasUsageCharges": true,
      "addonSubscriptions": [
        {
          "id": "string",
          "quantity": 0,
          "startDate": "2019-08-24T14:15:22Z",
          "endDate": "2019-08-24T14:15:22Z",
          "addonStatus": "ADDON_STATUS_UNSPECIFIED",
          "cancelAtPeriodEnd": true,
          "canceledAt": "2019-08-24T14:15:22Z",
          "externalId": "string",
          "subscriptionId": "string",
          "addonId": "string",
          "addonPriceId": "string",
          "subscriptionName": "string",
          "addonName": "string",
          "addonCode": "string",
          "unitAmount": "string",
          "currency": "string",
          "pricingModel": "PRICING_MODEL_UNSPECIFIED",
          "addonType": "ADDON_TYPE_UNSPECIFIED",
          "metadata": {},
          "status": "STATUS_UNSPECIFIED",
          "timestamps": {
            "createTime": "2019-08-24T14:15:22Z",
            "updateTime": "2019-08-24T14:15:22Z"
          }
        }
      ],
      "platformFeeId": "string",
      "platformFeeType": "string",
      "platformFeePercent": 0.1,
      "platformFeeCurrency": "string",
      "metadata": {},
      "status": "STATUS_UNSPECIFIED",
      "timestamps": {
        "createTime": "2019-08-24T14:15:22Z",
        "updateTime": "2019-08-24T14:15:22Z"
      }
    }
  ],
  "totalCount": 0
}